Thread::getCreatorId
Thread::isJoined
Thread
PHP Manual

# Thread::getThreadId

(PECL pthreads >= 0.34)

Thread::getThreadId — Identification

### Description

final public long Thread::getThreadId ( void )

Will return the identity of the referenced Thread

### Parameters

This function has no parameters.

### Return Values

A numeric identity

### Examples

Example #1 Return the identity of the referenced Thread

`<?php
class My extends Thread {
public function run() {
printf("%s is Thread #%lu\n", __CLASS__, $this->getThreadId());
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    My is Thread #123456778899

Thread::getCreatorId
Thread::isJoined
Thread
PHP Manual